Skip to content

List



GET /api/v1/viewer/list

Overview

List all eligible Explorers

Query Request Parameters

Parameter Name Type Required Description
sortKey string Sort field. Default is sorted by updateAt. If the current value does not exist, sort by default.
Allow null: False
Allow empty string: True
Allowed values: ['name', 'updateAt']
sortMethod string Sort method. Default is sorted by desc.
Allow null: False
Allow empty string: True
Allowed values: ['desc', 'asc']
search string Explorer name search.
Allow null: False
pageIndex integer Page number.
Allow null: False
Example: 10
$minValue: 1
pageSize integer Number of items returned per page.
Allow null: False
Example: 10
$minValue: 1
$maxValue: 100
filter string Filter condition.
Allow null: False
Allowed values: ['total', 'favorite', 'import', 'myCreate', 'oftenBrowse', 'ofenBrowse', 'selfVisibleOnly']
tagNames json Tag names used for filtering.
Allow null: False
Example: []

Parameter Supplementary Description

Request Example

curl 'https://openapi.truewatch.com/api/v1/viewer/list' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed 

Response

{
    "code": 200,
    "content": [
        {
            "chartGroupPos": [],
            "chartPos": [],
            "createAt": 1677659952,
            "createdWay": "import",
            "creator": "acnt_xxxx32",
            "creatorInfo": {
                "email": "[email protected]",
                "iconUrl": "",
                "name": "88Test",
                "username": "Test"
            },
            "dashboardBindSet": [],
            "deleteAt": -1,
            "extend": {
                "analysisField": "message",
                "charts": [
                    null,
                    {
                        "extend": {
                            "fixedTime": "",
                            "settings": {
                                "alias": [],
                                "chartType": "line",
                                "colors": [],
                                "compareColors": {
                                    "dayCompare": "rgba(11,11,12,0.5)",
                                    "hourCompare": "#0B0B0C",
                                    "monthCompare": "rgba(11,11,12,0.12)",
                                    "weekCompare": "rgba(11,11,12,0.3)"
                                },
                                "compareColorsDark": {
                                    "dayCompare": "rgba(213,217,226,0.5)",
                                    "hourCompare": "#D5D9E2",
                                    "monthCompare": "rgba(213,217,226,0.12)",
                                    "weekCompare": "rgba(213,217,226,0.25)"
                                },
                                "compareColorsLight": {
                                    "dayCompare": "rgba(11,11,12,0.5)",
                                    "hourCompare": "#0B0B0C",
                                    "monthCompare": "rgba(11,11,12,0.12)",
                                    "weekCompare": "rgba(11,11,12,0.3)"
                                },
                                "compareType": [],
                                "density": "medium",
                                "fixedTime": "",
                                "isPercent": false,
                                "isTimeInterval": true,
                                "legendPostion": "none",
                                "legendValues": "",
                                "levels": [],
                                "onlyShowGroupName": false,
                                "openCompare": false,
                                "openStack": false,
                                "showFieldMapping": false,
                                "showLine": false,
                                "showTitle": true,
                                "stackType": "time",
                                "timeInterval": "auto",
                                "titleDesc": "",
                                "units": [],
                                "xAxisShowType": "time",
                                "yAxixMaxVal": null,
                                "yAxixMinVal": null
                            }
                        },
                        "isQuery": true,
                        "name": "New Chart",
                        "queries": [
                            {
                                "color": "",
                                "datasource": "dataflux",
                                "name": "",
                                "qtype": "dql",
                                "query": {
                                    "alias": "",
                                    "code": "A",
                                    "dataSource": "",
                                    "field": "",
                                    "fieldFunc": "",
                                    "fill": null,
                                    "filters": [],
                                    "funcList": [],
                                    "groupBy": [],
                                    "groupByTime": "",
                                    "indexFilter": "",
                                    "namespace": "tracing",
                                    "q": "",
                                    "queryFuncs": [],
                                    "type": "simple"
                                },
                                "type": "sequence",
                                "unit": ""
                            }
                        ],
                        "type": "sequence"
                    },
                    null
                ],
                "filters": [],
                "index": "tracing",
                "quickFilter": {
                    "columns": []
                },
                "rumAppId": "",
                "rumType": "",
                "selectedIndex": "default",
                "source": "",
                "table": {
                    "columns": []
                }
            },
            "iconSet": {},
            "id": 711,
            "isFavorite": false,
            "isPublic": 1,
            "mapping": [],
            "name": "11",
            "ownerType": "viewer",
            "status": 0,
            "tag_info": {
                "tagInfo": []
            },
            "type": "CUSTOM",
            "updateAt": 1677662452,
            "updator": "acnt_xxxx32",
            "updatorInfo": {
                "email": "[email protected]",
                "iconUrl": "",
                "name": "88Test",
                "username": "Test"
            },
            "uuid": "dsbd_xxxx32",
            "workspaceUUID": "wksp_xxxx32"
        }
    ]
}